---
title: HashChangeEvent.oldURL
slug: Web/API/HashChangeEvent/oldURL
tags:
  - API
  - HashChangeEvent
  - Property
  - Reference
  - Web API
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>oldURL</strong></code> read-only property of the {{domxref("HashChangeEvent")}} interface returns the previous URL from which the window was navigated.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>oldEventUrl</em> = <em>event</em>.oldURL;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">window.addEventListener('hashchange', function(event) {
  console.log('Hash changed from ' + event.oldURL);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-hashchangeevent-oldurl', 'HashChangeEvent: oldURL')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HashChangeEvent.oldURL")}}</p>
